# Class TglBitmap1D

Description | Hierarchy | Fields | Methods | Properties

## Unit

glBitmap

## Declaration

`type TglBitmap1D = class(TglBitmap)`

## Description

wrapper class for 1-dimensional textures (OpenGL target = GL_TEXTURE_1D all operations on a bitmap object must be done from the render thread

## Hierarchy

- TObject
- TglBitmap
- TglBitmap1D

## Overview

### Methods

| `procedure UploadDataIntern(const aDataObj: TglBitmapData; const aBuildWithGlu: Boolean);`
| `procedure AfterConstruction; override;`
| `procedure UploadData(const aDataObj: TglBitmapData; const aCheckSize: Boolean = true); override;`

### Properties

| `property Width;`

## Description

### Methods

| `procedure UploadDataIntern(const aDataObj: TglBitmapData; const aBuildWithGlu: Boolean);`

upload the texture data to video card

###### Parameters

aDataObj
  texture data object that contains the actual data
aBuildWithGlu
  use glu functions to build mipmaps

| `procedure AfterConstruction; override;`
this method is called after constructor and initializes the object

| `procedure UploadData(const aDataObj: TglBitmapData; const aCheckSize: Boolean = true); override;`

upload texture data from given data object to video card

###### Parameters

aData
  texture data object that contains the actual data
aCheckSize
  check size before upload and throw exception if something is wrong

### Properties

| `property Width;`
actual with of the texture

Generated by PasDoc 0.13.0 on 2014-12-24 04:27:09